import type { ReactiveController, ReactiveControllerHost } from 'lit';
import type { LitElementWithError } from '../../../../decorators/types.js';
export declare class MissingParentError extends Error {
    constructor(elementName: string);
}
/**
 * A reactive controller that manages folded item list context data from parent components.
 * Handles fetching folded item list data via custom events and manages error states.
 */
export declare class FoldedItemListContextController<T = unknown> implements ReactiveController {
    private host;
    private _foldedItemList;
    private _error;
    constructor(host: ReactiveControllerHost & LitElementWithError);
    get foldedItemList(): T | null;
    get error(): MissingParentError | null;
    get hasError(): boolean;
    hostConnected(): void;
    private _resolveFoldedItemListContext;
}
type FoldedItemListContextEventHandler<T> = (foldedItemList: T) => void;
export type FoldedItemListContextEvent<T> = CustomEvent<FoldedItemListContextEventHandler<T>>;
export {};
